untyped
global function elevator_init

void function elevator_init()
{
    PrecacheModel($"models/props/turret_base/turret_base.mdl")
    PrecacheModel($"models/signs/flag_base_pole_ctf.mdl")

    if ( GetMapName() != "mp_relic02" )
        return

    AddCallback_EntitiesDidLoad( StartElevator )
}

void function StartElevator()
{   
    entity mover = CreateScriptMoverModel( $"models/props/turret_base/turret_base.mdl", < -40.5605, -1827.87, -223.944 >, <0,0,0>, SOLID_VPHYSICS, 1000 )
    mover.SetPusher( true )
    thread ElevatorThink( mover )
}

void function ElevatorThink( entity mover )
{
    for(;;)
    {
        mover.NonPhysicsMoveTo( < -35.4312, -1827.87, 523.046 >, 4.8, 0.1, 0.1 )
        wait 6

        mover.NonPhysicsMoveTo( < -35.4312, -1827.87, -223.944 >, 4.8, 0.1, 0.1 )
        wait 6
    }
}

